Skip to content

Delete an uploaded file

post/delete-file
Any keyDeletes

This API endpoint allows you to delete a previously uploaded file associated with a chatbot.

Request body

Sending 2 of 2 fields
Required
chatbotIdstring
The unique identifier allocated to the chatbot.
fileUrlstring
The URL of the file to be deleted.

Only these fields are sent (application/json).

Try it · POST /delete-file
curl 'https://api.chat-data.com/api/v2/delete-file' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "chatbotId": "6650f1c2a9e4b83d2c7a1f05",  "fileUrl": "https://example.blob.core.windows.net/chatfiles/6650f1c2a9e4b83d2c7a1f05/product-handbook.pdf"}'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.
messagestringA confirmation message.

Example

{  "status": "success",  "message": "File deleted successfully."}

Last updated October 14, 2026